0

I want to install a Canon 2900 printer driver in Ubuntu 16.04.

Please show screen shots of the full procedure.

3

you need the CAPT driver from here CAPT Printer Driver for Linux | Canon and click to download and SAVE and you will get linux-capt-drv-v271-uken.tar.gz

open a terminal and copy the commands below line by line and PASTE into the terminal

cd Downloads
tar -zxvf  linux-capt-drv-v271-uken.tar.gz
cd  linux-capt-drv-v271-uken/64-bit_Driver/Debian
sudo dpkg -i cndrvcups-common_3.21-1_amd64.deb
sudo dpkg -i cndrvcups-capt_2.71-1_amd64.deb

then sudo service cups restart

then to register the printer sudo /usr/sbin/lpadmin -p LBP2900 -m CNCUPSLBP2900CAPTK.ppd -v ccp://localhost:59787 -E

then to register with ccpd daemon sudo /usr/sbin/ccpdadmin -p LBP2900 -o /dev/usb/lp0

then restart ccpd with sudo /etc/init.d/ccpd start

...... and it should print

You must use the final command each time you turn the computer on; unless you set up the command to start automatically ...........

and this all assumes you have only ONE usb printer so it gets called lp0

| improve this answer | |
  • lpadmin: Unknown argument "–E" – quangkid Aug 31 '18 at 3:40
  • 1
    seems that "Turns out that the character in Canons docs before the E is not a hyphon "-". Replacing it with the legal hyphon character fixed this error." so I have done that in my answer above: try changing the character before the E to a standard hyphen – pdc Aug 31 '18 at 4:35
  • I have edited the registration section; Canon use a symbol that is not a minus sign; so I have edited and corrected this: hence the command of quangkid – pdc Sep 20 '18 at 22:24
  • For ubuntu 20.04 I'm getting the warning lpadmin: Printer drivers are deprecated and will stop working in a future version of CUPS. after the "register the printer" command. Is this expected or did I go wrong somewhere? – Peeyush Kushwaha Nov 9 at 15:57

Not the answer you're looking for? Browse other questions tagged or ask your own question.